package com.miaxis;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 启动程序
 *
 * @author miaxis
 */
@EnableFeignClients
@EnableScheduling//开启定时任务注解
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class OpenaiApplication
{
    public static void main(String[] args)
    {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(OpenaiApplication.class, args);
        System.out.println(" OPEN-AI 启动！"
);
    }
}
